Name:           gstreamermm
Version:        0.10.5
Release:        1%{?dist}

Summary:        C++ wrapper for GStreamer library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gstreamermm/0.9/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibmm24-devel >= 2.21.1
BuildRequires: gstreamer-devel >= 0.10.24
BuildRequires: gstreamer-plugins-base-devel >= 0.10.24
BuildRequires: libxml++-devel >= 2.14.0
BuildRequires: doxygen graphviz m4


%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org).  It is designed to allow
C++ development of applications that work with multi-media.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel
Requires:       gstreamer-plugins-base-devel
Requires:       gstreamer-devel
Requires:       pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing gstreamermm applications.


%prep
%setup -q


%build
%configure --enable-shared --disable-examples --enable-docs --disable-dependency-tracking
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Move documentation to gtk-doc directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-0.10/docs/reference/html $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/%{name}-0.10
# Removing code generation script stuff
rm -rf $RPM_BUILD_ROOT%{_libdir}/gstreamermm-0.10


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc %{_datadir}/gtk-doc/html/%{name}-0.10
%{_includedir}/gstreamermm-0.10
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 14 2009 Denis Leroy <denis@poolshark.org> - 0.10.5-1
- Update to upstream 0.10.5
- doc patch upstreamed

* Wed Sep  2 2009 Denis Leroy <denis@poolshark.org> - 0.10.4-2
- Rebuild for new glibmm24
- Added patch to remove beautify_docs

* Thu Aug 20 2009 Denis Leroy <denis@poolshark.org> - 0.10.4-1
- Update to upstream 0.10.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Denis Leroy <denis@poolshark.org> - 0.10.2-1
- Update to upstream 0.10.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 0.10.1-1
- Update to upstream 0.10.1
- No longer uses gstreamerbase include dir

* Sun Dec 28 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-2
- Rebuild for pkgconfig

* Fri Dec 26 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-1
- Update to upstream 0.9.8
- Disabled parallel make

* Fri Oct 10 2008 Denis Leroy <denis@poolshark.org> - 0.9.7-1
- Update to upstream 0.9.7

* Wed Sep  3 2008 Denis Leroy <denis@poolshark.org> - 0.9.6-1
- Update to upstream 0.9.6

* Sat May 31 2008 Denis Leroy <denis@poolshark.org> - 0.9.5-1
- Update to upstream 0.9.5
- Fixed gstreamer plugin BuildRequires 

* Fri Feb 22 2008 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Updated to upstream 0.9.4

* Sun Feb 17 2008 Denis Leroy <denis@poolshark.org> - 0.9.2-1
- First draft

